Table of Contents

## Name

AuDataFormats - audio data formats.

## Synopsis

#include <audio/audiolib.h>

Currently, the following data formats are defined: AuFormatULAW8, AuFormatLinearUnsigned8, AuFormatLinearSigned8, AuFormatLinearSigned16MSB, AuFormatLinearUnsigned16MSB, AuFormatSignedLinear16LSB, and AuFormatLinearUnsigned16LSB.

AuFormatULAW8
  Designates a data format in which samples are stored as 8-bit ulaw values.
AuFormatLinearUnsigned8
  Designates a data format in which samples are stored as unsigned 8-bit values.
AuFormatLinearSigned8
  Designates a data format in which samples are stored as signed 8-bit values.
AuFormatLinearSigned16MSB
  Designates a data format in which samples are stored as signed 16-bit values, with the most significant byte first.
AuFormatLinearUnsigned16MSB
  Designates a data format in which samples are stored as unsigned 16-bit values, with the most significant byte first.
AuFormatSignedLinear16LSB
  Designates a data format which samples are stored as signed 16-bit values, with the least significant byte first.
AuFormatLinearUnsigned16LSB
  Designates a data format which samples are stored as unsigned 16-bit values, with the least significant byte first.

## See Also

AuFileFormats.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- See Also